# CommonBot - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types / CommonBot

# CommonBot

(common) `data class CommonBot : Bot` (source)

### Constructors

(common)

#### <init>

`CommonBot(id: ChatId, username: Username, firstName: String, lastName: String = "")`

### Properties

(common)

#### firstName

`val firstName: String`

(common)

#### id

`val id: ChatId`

(common)

#### lastName

`val lastName: String`

(common)

#### username

`val username: Username`